Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class UnionMember

    java.lang.Object
      |
      +--org.omg.CORBA.UnionMember

All Implemented Interfaces:
  IDLEntity, Serializable

public final class UnionMember
extends Object
implements IDLEntity

A description in the Interface Repository of a member of an IDL union.

See Also:
  Serialized Form

Field Summary
`Any` | `label` The label of the union member described by this `UnionMember` object.
`String` | `name` The name of the union member described by this `UnionMember` object.
`TypeCode` | `type` The type of the union member described by this `UnionMember` object.
`IDLType` | `type_def` The typedef that represents the IDL type of the union member described by this `UnionMember` object.

Constructor Summary
`UnionMember()` Constructs a new `UnionMember` object with its fields initialized to null.
`UnionMember(String __name, Any __label, TypeCode __type, IDLType __type_def)` Constructs a new `UnionMember` object with its fields initialized to the given values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public String name

  The name of the union member described by this `UnionMember` object.

### label

    public Any label

  The label of the union member described by this `UnionMember` object.

### type

    public TypeCode type

  The type of the union member described by this `UnionMember` object.

### type_def

    public IDLType type_def

  The typedef that represents the IDL type of the union member described by this `UnionMember` object.

Constructor Detail

### UnionMember

    public UnionMember()

  Constructs a new `UnionMember` object with its fields initialized to null.

### UnionMember

    public UnionMember(String __name,
                       Any __label,
                       TypeCode __type,
                       IDLType __type_def)

  Constructs a new `UnionMember` object with its fields initialized to the given values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.